import java.awt.Graphics;

/**
 * Character class represents all moving/living creatures of the game.
 * @author Nakul Dureja
 * @version 1.0 
 *
 */
public abstract class Character {
	
	Game game;
	int row, col;
	
	/**
	 * Parameterized Constructor for the class Character
	 * @param game Game object
	 * @param row row value
	 * @param col col value
	 */
	public Character(Game game, int row, int col)
	{
		this.game = game;
		this.row = row;
		this.col = col;
	}
	
	/**
	 * Abstract Method draw. Draws the creature
	 * @param g Graphics Object
	 */
	public abstract void draw(Graphics g);
	/**
	 * Abstract Method update. Updates the position,
	 */
	public abstract void update();

}
