
import java.awt.*;
import javax.swing.*;


public class Ghost extends Monster {

	int drow ;
	int dcol;
	// Image 
	Image img = new ImageIcon(SimpleMonster.class.getResource("/ghost.png")).getImage();
	/**
	 * Constructor for Ghost
	 * @param game Game object
	 * @param row row value
	 * @param col col value
	 * @param drow rowspeed
	 * @param dcol colspeed
	 */
	public Ghost(Game game, int row, int col, int drow, int dcol)
	{
		super(game, row, col);
		this.dcol = dcol;
		this.drow = drow;

	}

	/**
	 * Overridden attackAction method. Handles ghost and collision kills.
	 * @param p Player Object
	 */
	public void attackAction(Player p) {
		if(row==game.player.col && col == game.player.row)
		{

			game.player.lives--;
			if(game.player.lives != 0)
				JOptionPane.showMessageDialog(null, "LIFE --");
			game.player.row=1;
			game.player.col=1;

		}

	}
	
	/**
	 * Overridden draw method. Draws the monster.
	 * @param g Graphics object
	 */
	public void draw(Graphics g) {
		g.drawImage(this.img,row*Level.HEIGHT, col*Level.WIDTH,Level.HEIGHT,Level.WIDTH,null);
	}

	
	/**
	 * Overridden update method. Updates the monster position based on speeds. 
	 * 
	 */
	public void update() {

		if(drow==0 && dcol!=0)
		{
			col+=dcol;
			if(col<=0)
			{
				dcol = -dcol;
				col = 0;
			}
			else if(col>=Level.WIDTH)
			{
				dcol = -dcol;
				col = 18;
			}
		}
		else if(dcol==0 && drow!=0)
		{
			row+=drow;
			if(row<=0)
			{
				drow = -drow;
				row = 0;
			}
			else if(row>=Level.HEIGHT)
			{
				drow = -drow;
				row = 18;
			}
		}


	}



}
