import java.awt.Graphics;

/**
 * This abstract class represents the things on the level that player can pick up
 * @author Nakul Dureja
 * @version 1.0 
 */
public abstract class Item {

	int value;
	
	/**
	 * Parameterized constructor for Item
	 * @param value value of item
	 */
	public Item(int value)
	{
		this.value = value;
	}
	
	/**
	 * Abstract Method to draw the Item
	 * @param g Hraphics object
	 * @param x x coordinate
	 * @param y u coordinate
	 */
	public abstract void drawItem(Graphics g, int x, int y);

	/**
	 * Getter for value
	 * @return value of the item
	 */
	public int getValue()
	{
		return value;
	}
}
