
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * This class represents a single level and the Game GUI. 
 * @author Nakul Dureja 
 * @version 2.0 
 *
 */
public class LevelPanel extends JPanel {

	Game game;
	/**
	 * Constructor for class LevelPanel
	 * Adds panels and keylisteners
	 * @param game Game objects
	 */
	public LevelPanel(Game game)
	{		
		// Add keylisterner 
		this.addKeyListener(new MoveListener());
		this.game = game;
		this.setPreferredSize(new Dimension(400,400));
		setFocusable(true);  
		this.setLayout(new BorderLayout());
		JPanel pane = new JPanel();
		pane.add(game.getScore());
		pane.add(game.getStatus());
		add(pane,BorderLayout.SOUTH);
		
	}

	/**
	 * paintComponent method. Cals the level draw method.
	 * @param g Graphics object
	 */
	public void paintComponent(Graphics g)
	{
		game.level.draw(g);
	}


	/**
	 * KeyAdapter for detecting arraow key press
	 * @author Nakul Dureja
	 * @version 2.0 26 Nov 2012
	 *
	 */
	private class MoveListener extends KeyAdapter
	{

		/**
		 * KeyPressed method. Handless key presses
		 * @param event KeyEvent
		 */
		public void keyPressed (KeyEvent event)
		{
			
			switch (event.getKeyCode())
			{
			case KeyEvent.VK_LEFT:
				game.player.move(0, -1);
				break;
			case KeyEvent.VK_RIGHT:
				game.player.move(0, 1);
				break;
			case KeyEvent.VK_UP:
				game.player.move(-1, 0);
				break;
			case KeyEvent.VK_DOWN:
				game.player.move(1, 0);
				break;
			}

			repaint();
		}

	}
}
