import java.awt.*;

import javax.swing.*;


public class SimpleMonster extends Monster {

	int drow;
	int dcol;
	// Image 
	Image img = new ImageIcon(SimpleMonster.class.getResource("/simplemonster.png")).getImage();
	
	/**
	 * Constructor for SimpleMonster
	 * @param game Game object
	 * @param row row value
	 * @param col col value
	 * @param drow rowspeed
	 * @param dcol colspeed
	 */
	public SimpleMonster(Game game, int row, int col, int drow, int dcol)
	{
		super(game, row, col);
		this.dcol = dcol;
		this.drow = drow;

	}
	
	
	/**
	 * Overridden attackAction method. Handles monster collision kills.
	 * @param p Player Object
	 */
	public void attackAction(Player p) {
		
		
		// Collision Detection
		if(row==game.player.col && col == game.player.row)
		{
			// Reduce player life
			game.player.lives--;
			if(game.player.lives != 0)
				JOptionPane.showMessageDialog(null, "LIFE --");
			// Reser PLayer position
			game.player.row=1;
			game.player.col=1;

		}

	}

	/**
	 * Overridden draw method. Draws the monster.
	 * @param g Graphics object
	 */
	public void draw(Graphics g) {
		g.drawImage(this.img,row*Level.HEIGHT, col*Level.WIDTH,Level.HEIGHT,Level.WIDTH,null);
	}

	/**
	 * Overridden update method. Updates the monster position based on speeds. 
	 * 
	 */
	public void update() {

		// Horizontal
		if(drow==0 && dcol!=0)
		{
			col+=dcol;
			dcol = -dcol;
		}
		/// Vertical
		else if(dcol==0 && drow!=0)
		{
			row+=drow;
			drow = -drow;
		}
		// Diagonal
		else
		{
			row+=drow;
			drow = -drow;
			col+=dcol;
			dcol = -dcol;

		}

	}

}
