import java.awt.Graphics;

/**
 * Abstract Tile class. Represents a space on level. 
 * @author Nakul Dureja
 * @version 1.0 
 *
 */
public abstract class Tile {
	
	static int width = Level.WIDTH;
	static int height = Level.HEIGHT;
	int row,col;
	
	/**
	 * Constructor for Tile
	 */
	public Tile()
	{
		this.row = 0;
		this.col = 0;
	}
	
	// Abstract methods
	/**
	 * Abstract Method isPassable.
	 * @return true if passable otherwise false
	 */
	public abstract boolean isPassable();
	
	/**
	 * Abstract Method drawTile. Draws the tile object.
	 * @param g Graphic object 
	 * @param x x coordinate
	 * @param y y coordinate
	 */
	public abstract void drawTile(Graphics g, int x, int y);
	/**
	 * Setter for row.
	 * @param row row value
	 */
	public void setRow(int row)
	{
		this.row = row;
	}
	
	/**
	 * Setter for col.
	 * @param col col value
	 */
	public void setCol(int col)
	{
		this.col = col;
	}
	
	
}
