import java.awt.Color;
import java.awt.Graphics;

/**
 * Extends Tile. Represents a wall.
 * @author Nakul Dueja
 * @version 1.0 
 *
 */
public class Wall extends Tile{

	
	/**
	 * Overridden method isPassable. 
	 * @return boolean false
	 */
	public boolean isPassable() {
		return false;
	}


	/**
	 * Overridden method drawTile. Draws wall.
	 * @param g Graphics object
	 * @param x x coordinate
	 * @param y y coordinate
	 */
	public void drawTile(Graphics g, int x, int y) {
		g.setColor(Color.BLUE);
		g.fillRect(x, y, width, height);
		g.setColor(Color.BLACK);
		g.fillRect(x + (width/4), y+(height/4), width/2, height/2);
		
	}
	

}
